You are here

v17.0 - Tab Mix Plus problem

11 posts / 0 new
Last post
aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
v17.0 - Tab Mix Plus problem

Firefox 17 portable disables the Tab Mix Plus extension (v0.4.0.3, latest) - "incompatible with Firefox 17.0". However, this is not the case with regular Firefox. I suspect that this is not an extension-specific issue but the result of a wider underlying problem, so I thought I'd better report it.

joergens.mic
Offline
Last seen: 11 years 7 months ago
Joined: 2012-10-07 18:10
Ich weis, das ist kein Trost.

Ich weis, das ist kein Trost. Ich nutze ebenfalls Tab mix plus, bei mir funktionieren sie. Allerdings kann ich die Version nicht nachsehen, da ich an die ADD-Ons Verwaltungsseite nicht mehr herankomme.

Am besten gibts du noch deine Betriebsystemversion an

aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
XP SP3

XP SP3

John T. Haller
John T. Haller's picture
Online
Last seen: 20 min 7 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
No Changes

We make no changes to the underlying Firefox. And Tabs Mix Plus has issues with just about every new Firefox release these days. It's specifically listed as "Not compatible with 17.0" on the Mozilla Add-Ons site.

As Firefox has a built-in session manager, better tab focus settings, and the ability to undo closed tabs, the features that Tabs Mix Plus does contain aren't specifically that critical anymore. That said, if you really need it right now, you can grab the latest alpha build of the extension.

You should not downgrade to Firefox 16.0 as it has security issues, however.

Sometimes, the impossible can become possible, if you're awesome!

aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
I'm sure you know exactly

I'm sure you know exactly what you're talking about, but so do I - when I go to addons.mozilla.org with regular Firefox 17, it lets me install TabMix; with portable version, it doesn't.

John T. Haller
John T. Haller's picture
Online
Last seen: 20 min 7 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Nope

I went to it, right now, with Firefox 17.0 running on Windows 7 x64 and it says "Not compatible with Firefox 17.0" The very first comment on the site bemoans the fact that it is not compatible with 17.0 but says that the current alpha build is.

See screenshot of incompatibility.

I checked the extension's install.rdf and it's:

maxVersion="16.0a1"

So, the last version it was compatible with and released for was Firefox 16.0 Alpha 1.

Sometimes, the impossible can become possible, if you're awesome!

aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
Well, can't argue with that

Well, can't argue with that but it's just plain weird. I'm using FF 17 and haven't tweaked compatibility checking or anything. Maybe it's because I'm running good old XP.

aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
Found the reason: in my

Found the reason: in my prefs.js, there was a user agent override to FF 13. Not sure who/what put it there; maybe I did but forgot. I'm still forcing TabMix to run as it works just fine in v17. I agree with what you said about improvements in FF tab management but I really got accustomed to some TabMix features.
Sorry if I pissed you off Smile

John T. Haller
John T. Haller's picture
Online
Last seen: 20 min 7 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
No Worries

No worries. You could always try the alpha, too. Forcing an extension to work with a version it's not compatible with can cause some issues. Happened with one of my TB extensions with the 17.0 update.

Sometimes, the impossible can become possible, if you're awesome!

mgagnonlv
Offline
Last seen: 1 year 2 months ago
Joined: 2008-04-04 21:51
Use Development Version

You may use the development version of Tab Mix Plus. It's available from the developer's website and works well with v.17 (but not 18(?) or 19).

See the signature of the first post:
http://tmp.garyr.net/forum/viewtopic.php?f=3&t=16975

As for a "regular" version of Tab Mix Plus, he says to expect it in January 2013.

P.S. One bug: with Firefox 17, TMP Dev. is NOT compatible with Firebug. It's one or the other...

Michel Gagnon
Montréal (Québec, Canada)

aerdna
Offline
Last seen: 1 year 2 months ago
Joined: 2012-11-21 08:31
Even the current release

Even the current release version worked fine for me, but I've actually decided to get used to living without TMP. People with insight into the extension's source say it uses too many hacks and is likely to keep on breaking. With Mozilla adopting this Chrome-like release schedule, it will become too much of an annoyance.

Log in or register to post comments